package com.example.infiniteLoop.parkingo;
/*! \class A Checkin_details class
    A class containing check-in details and methods to get and set the check-in details
*/
public class checkin_details {
    private String name;
    private String vehicle_no;
    private long mobile;
    private String slot;
    private int ticket;

    /** @brief Sets the ticket  of the check-in details
    @param ticket - an integer argument
    @return void
    */
    public void setTicket(int ticket) {
        this.ticket = ticket;
    }
    /** @brief Sets the Mobile  of the check-in details
    @param ticket - an integer argument
    @return void
    */
    public void setMobile(long mobile) {
        this.mobile = mobile;
    }
    /** @brief Sets the slot of the check-in details
    @param ticket - an integer argument
    @return void
    */
    public void setSlot(String slot) {
        this.slot = slot;
    }
    /** @brief Sets the vehicle_no of the check-in details
    @param ticket - an integer argument
    @return void
    */
    public void setVehicle_no(String vehicle_no) {
        this.vehicle_no = vehicle_no;
    }
    /** @brief Sets the name of the check-in details
    @param ticket - an integer argument
    @return void
    */
    public void setName(String name) {
        this.name = name;
    }
    /** @brief Returns the name of the check-in details
    @param ticket - an integer argument
    @return name - a string
    */
    public String getName() {
        return name;
    }
    /** @brief Retruns mobile of the check-in details
    @param ticket - an integer argument
    @return mobile - a long 
    */
    public long getMobile() {
        return mobile;
    }
    /** @brief Returns the slot  of the check-in details
    @param ticket - an integer argument
    @return slot - a string
    */
    public String getSlot() {
        return slot;
    }
    /** @brief Returns vehicle_no of the check-in details
    @param ticket - an integer argument
    @return vehicle_no - a string
    */
    public String getVehicle_no() {
        return vehicle_no;
    }
    /** @brief Returns the  ticket of the check-in details
    @param ticket - an integer argument
    @return ticket - an integer
    */
    public int getTicket() {
        return ticket;
    }
}
